GENERIC INTERFACE Matrix2x2Extras(VRep, MRep);
(*
  Linear map operations specific to 2-dimensional vector spaces: *)

PROCEDURE Rotation(angle: LONGREAL; scale: LONGREAL := 1.0d0): MRep.T;
  (*
    A matrix that performs rotation by "angle" radians
    clockwise around the origin, combined with uniform magnification
    by the given "scale" factor. *)
    
(* Hacks to avoid "unused" warnings for "Vrep", "Mrep": *)
CONST VN = VRep.N;
CONST MN = MRep.N;

END Matrix2x2Extras.
