GENERIC INTERFACE Vector2Extras(VRep);
(*
  Vector operations specific to 2-dimensional vector spaces: *)

PROCEDURE Det(READONLY a, b: VRep.T): LONGREAL;
  (*
    Returns the determinant of the matrix whose rows are "a" and "b". *)

PROCEDURE Cross(READONLY a: VRep.T): VRep.T;
  (*
    The vector "a" rotated 90 degrees counterclockwise. *)
    
END Vector2Extras.
